apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: docker-hub-rate-limit-exporter
spec:
  selector:
    matchLabels:
      app.kubernetes.io/instance: docker-hub-rate-limit-exporter-daemonset
      app.kubernetes.io/name: docker-hub-rate-limit-exporter-daemonset
  template:
    metadata:
      labels:
        app.kubernetes.io/instance: docker-hub-rate-limit-exporter-daemonset
        app.kubernetes.io/name: docker-hub-rate-limit-exporter-daemonset
    spec:
      containers:
        - name: docker-hub-rate-limit-exporter
          image: docker.io/viadee/docker-hub-rate-limit-exporter:version-1.8@sha256:7222b473f25fceedbaa1b811a17f8f11d815cd254d496f6b1768ff9f063fe3a4
          ports:
            - name: http
              containerPort: 80
              protocol: TCP
          livenessProbe:
            httpGet:
              path: /
              port: http
            timeoutSeconds: 5
          readinessProbe:
            httpGet:
              path: /
              port: http
            timeoutSeconds: 5
          resources:
            limits:
                cpu: 200m
                memory: 96Mi
            requests:
                cpu: 50m
                memory: 64Mi
          env:
            - name: DOCKERHUB_EXPORTER_VERBOSE
              value: "1"
            - name: DOCKERHUB_EXPORTER_PORT
              value: "80"
